Help Center

What are the plug-in requirements?

FAQs Knowledge Level

Frequently Asked Questions

You need the real hardware synthesizer which the editor is made for. If PRO upgrade is available, hardware is not required. List for requirements:

  • You need the real hardware synth, which the editor is made for.
  • 32/64-bit AudioUnit / VST host for Mac or PC.
  • MIDI interface. A good one which supports SysEx messages. Don’t buy anything which is less than 50€.
  • Direct MIDI in / out connection between your synth and the MIDI interface. No MIDI Thru connections or MIDI in only / MIDI out only connections.
  • Audio cables from the synth to soundcard or mixer in order to hear the sound.
  • At least 1600×1024 pixels resolution.
0 Shares
Tweet
Share
Reddit
Share
Share
Happy New Year - Use coupon HAPPY2021 in cart or checkout page!  Shop Now!
close
open